commit efd59e24e4b05ce7ec435389e6cca23743d33e2b
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Mon Dec 2 00:24:12 2024 +0000

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 8b81eb36155..7942c684a26 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20241201
+20241202
diff --git a/gcc/m2/ChangeLog b/gcc/m2/ChangeLog
index ff88ed6dd87..55ab94ecbc4 100644
--- a/gcc/m2/ChangeLog
+++ b/gcc/m2/ChangeLog
@@ -1,3 +1,33 @@
+2024-12-01  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	Backported from master:
+	2024-09-21  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	* gm2-compiler/M2Comp.mod (GenerateDependencies): Remove
+	unused parameter.
+	(WriteDep): Remove parameter dep.
+	(WritePhoneDep): Ditto.
+
+2024-12-01  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	Backported from master:
+	2024-09-20  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	* gm2-compiler/M2Check.mod (checkUnboundedArray): New
+	procedure function.
+	(checkUnboundedUnbounded): Ditto.
+	(checkUnbounded): Rewrite to check the unbounded data
+	type.
+	(checkPair): Add comment.
+	(doCheckPair): Add comment.
+	Remove tinfo parameter from the call to checkTypeKindViolation.
+	(checkTypeKindViolation): Remove ununsed parameter tinfo.
+	* gm2-libs-ch/UnixArgs.cc (GM2RTS.h): Remove include.
+	* gm2-libs-ch/m2rts.h (M2RTS_INIT): New define.
+	(M2RTS_DEP): Ditto.
+	(M2RTS_RegisterModule): New prototype.
+	(GM2RTS.h): Add include to the MC_M2 block.
+
 2024-11-30  Gaius Mulley  <gaiusmod2@gmail.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index f85bea2a901..1c26643f83b 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,15 @@
+2024-12-01  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	Backported from master:
+	2024-09-20  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	* gm2/iso/fail/testarrayunbounded2.mod: New test.
+	* gm2/iso/fail/testarrayunbounded3.mod: New test.
+	* gm2/iso/fail/testarrayunbounded4.mod: New test.
+	* gm2/iso/fail/testarrayunbounded5.mod: New test.
+	* gm2/iso/fail/testarrayunbounded6.mod: New test.
+	* gm2/iso/pass/testarrayunbounded.mod: New test.
+
 2024-11-30  Paul Thomas  <pault@gcc.gnu.org>
 
 	Backported from master:

